Subject: Re: 30.0.50; unexpected behavior of icon with non-existing image file?

From: David Ponce <[email-masked]>
Date: Fri, 3 Nov 2023 10:49:27 +0100

Hello,

Any thoughts on this?

I think there is a problem with the current implementation of the
`icon--create' method for the `image' type. It fails when the
specified icon image is not found instead of returning nil, which
prevents trying the next type (emoji, symbol, or text) defined in
`icon-preference', as logically expected.

Otherwise, please feel free to close this bug.

Thanks!